Межсайтовый скриптинг в ProjectPier

Дата публикации:
19.02.2008
Всего просмотров:
1200
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5583
CVE-2008-5584
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ProjectPier 0.x
Уязвимые версии: ProjectPier версии до 0.8.0.1

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "c" и "a" в сценарии index.php, и в полях messages, milestones и display name в профиле пользователя. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности HTTP запроса перед выполнением некоторых действий. Удаленный пользователь может произвести CSRF атаку.

URL производителя: www.projectpier.org

Решение: Установите последнюю версию 0.8.0.2 с сайта производителя.

или введите имя

CAPTCHA